## ESourceCalendar

ESourceCalendar — ESource extension for a calendar

## Types and Values

#define | E_SOURCE_EXTENSION_CALENDAR
struct | ESourceCalendar

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceBackend
                ╰── ESourceSelectable
                    ╰── ESourceCalendar

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceCalendar extension identifies the ESource as a calendar.

Access the extension as follows:

    1
    2
    3
    4
    5

    #include <libedataserver/libedataserver.h>

    ESourceCalendar *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_CALENDAR);

## Functions

## Types and Values

### E_SOURCE_EXTENSION_CALENDAR

    #define E_SOURCE_EXTENSION_CALENDAR  "Calendar"

Pass this extension name to `e_source_get_extension()` to access ESourceCalendar. This is also used as a group name in key files.

Since: 3.6

### struct ESourceCalendar

    struct ESourceCalendar;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6